﻿/*
 * Erstellt mit SharpDevelop.
 * Benutzer: EHWWDRE
 * Datum: 09.09.2010
 * Zeit: 16:37
 * 
 */
using System.Data.Common;
using System;

using MySql.Data.MySqlClient;
using MySql;

namespace DatabaseFactory
{
    /// <summary>
    /// Description of MySqlDatabaseFactory.
    /// </summary>
    public class MySqlDatabaseFactory : IDatabaseFactory
    {
        private readonly MySqlConnection mySqlConnection;

        /// <summary>
        /// 
        /// </summary>
        /// <param name="connectionString">
        /// Looks something like <code>server=localhost;uid=user_name;pwd=password;database=db_name;</code>
        /// </param>
        public MySqlDatabaseFactory(string connectionString)
        {
            if (string.IsNullOrEmpty(connectionString))
            {
                throw new ArgumentException("Parameter connectionString is not set properly.");
            }

            mySqlConnection = new MySqlConnection();
            mySqlConnection.ConnectionString = connectionString;
            //mySqlConnection.Open();
        }

        public DbConnection Connection
        {
            get
            {
                return mySqlConnection;
            }
        }
    }
}
